Bug 869809 - Hyper V KVP Daemon does not auto load on RHEL 5.9
Hyper V KVP Daemon does not auto load on RHEL 5.9
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Kopecek
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 16:42 EDT by habdi
Modified: 2013-01-21 21:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 02:11:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description habdi 2012-10-24 16:42:43 EDT
Description of problem:

hypervkvp daemon is not auto running .


Version-Release number of selected component (if applicable):

RHEL 5.9 Beta Snapshot 3 posted  on 10/11/12 .

Steps to Reproduce:

1. Install "RHEL 5.9 Beta Snapshot 3" posted  on 10/11/12 .
2. Install with default setting . 
3. Reboot the VM . 
4. Check for hypervkvp daemon is running or not .
  
Actual results:

hypervkvp daemon is not auto running .


Expected results:

hypervkvp daemon should be running when RHEL 5.9 boot . 

Additional info:
Comment 1 Shengnan Wang 2012-10-25 02:47:07 EDT
Hi habdi,

What's your Hyper-V host version? I have tested it in our functional test of snapshot3 (kernel-2.6.18-343.el5 i386). However, there is no this issue.  Just now I failed to reproduce it with hypervkvpd-0-0.7.el5 on our Hyper-V host.

Version-Release number of selected component (if applicable):
Host: Windows 2008 R2 Hyper-V Server Core 
Hyper-V Version: 6.1.7600.16385
Guest: RHEL5.9 i386 (kernel-2.6.18-343.el5 i386)
Hypervkvpd package Name: hypervkvpd-0-0.7.el5
Pv drivers: 
[root@localhost ~]# lsmod |grep hv_*
hv_netvsc              25665  0 
hid_base_hv            68177  1 hid_hyperv
hv_utils               12001  0 
hv_storvsc             17601  2 
hv_vmbus               30265  4 hv_netvsc,hid_hyperv,hv_utils,hv_storvsc
Comment 2 Tomáš Hozza 2012-10-25 03:19:18 EDT
The hypervkvpd package is not a part of "RHEL 5.9 Beta Snapshot 3".

Changing the component to "releng".
Comment 4 habdi 2012-10-25 14:44:56 EDT
Thanks Tomas ,  i will recheck with RC release .
Comment 5 Shengnan Wang 2012-10-31 03:07:44 EDT
hypervkvpd-0-0.7.el5 is a part of RHEL 5.9 Beta Snapshot 5 now.


The changelog of RHEL5.9-Server-20121025.3:
NEW: /mnt/redhat/devel/candidate-trees/RHEL5.9-Server-20121025.3/5/source
OLD: /mnt/redhat/released/RHEL-5-Server/U8/source
...................
New package: hypervkvpd-0-0.7.el5.src
  HyperV key value pair (KVP) daemon
...................
http://download.lab.bos.redhat.com/rel-eng/RHEL5.9-Server-20121025.3/logs/changelog-released-brief
Comment 6 Tomas Kopecek 2012-10-31 04:24:16 EDT
(In reply to comment #5)
> hypervkvpd-0-0.7.el5 is a part of RHEL 5.9 Beta Snapshot 5 now.
> 
> 
> The changelog of RHEL5.9-Server-20121025.3:
> NEW: /mnt/redhat/devel/candidate-trees/RHEL5.9-Server-20121025.3/5/source
> OLD: /mnt/redhat/released/RHEL-5-Server/U8/source
> ...................
> New package: hypervkvpd-0-0.7.el5.src
>   HyperV key value pair (KVP) daemon
> ...................
> http://download.lab.bos.redhat.com/rel-eng/RHEL5.9-Server-20121025.3/logs/
> changelog-released-brief

It is also part of basic installation of VT (virtualization) variant on both Client/Server.
Comment 8 Alexander Todorov 2012-11-27 06:05:43 EST
# pwd
/mnt/redhat/rel-eng/RHEL5.9-Server-20121123.2/5


# grep hypervkvpd */os/VT/repodata/comps-rhel5-vt.xml 
i386/os/VT/repodata/comps-rhel5-vt.xml:      <packagereq type='mandatory'>hypervkvpd</packagereq>
ia64/os/VT/repodata/comps-rhel5-vt.xml:      <packagereq type='mandatory'>hypervkvpd</packagereq>
x86_64/os/VT/repodata/comps-rhel5-vt.xml:      <packagereq type='mandatory'>hypervkvpd</packagereq>

# find -name "hypervkvpd*"
./i386/os/VT/hypervkvpd-0-0.7.el5.i686.rpm
./i386/debug/hypervkvpd-debuginfo-0-0.7.el5.i686.rpm
./ia64/os/VT/hypervkvpd-0-0.7.el5.ia64.rpm
./ia64/debug/hypervkvpd-debuginfo-0-0.7.el5.ia64.rpm
./x86_64/os/VT/hypervkvpd-0-0.7.el5.x86_64.rpm
./x86_64/debug/hypervkvpd-debuginfo-0-0.7.el5.x86_64.rpm
./source/SRPMS/hypervkvpd-0-0.7.el5.src.rpm

Similar results for RHEL5.9-Client-20121122.0. hypervkvpd is not part of the Virtualization comps group. Moving to VERIFIED.
Comment 9 errata-xmlrpc 2013-01-08 02:11:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0021.html
Comment 10 habdi 2013-01-21 17:25:45 EST
So when i install a RHEL 5.9 GA, it still does not auto install hvkvpd . 

rpm is available to install , but it should have been installed while installation of RHEL 5.9 OS .
Comment 11 Shengnan Wang 2013-01-21 21:48:06 EST
(In reply to comment #10)
> So when i install a RHEL 5.9 GA, it still does not auto install hvkvpd . 
> 
> rpm is available to install , but it should have been installed while
> installation of RHEL 5.9 OS .

The hypervkvpd package is in the Virtualization group with the name 'Hyper-V'. Please choose it when install the guest.

Note You need to log in before you can comment on or make changes to this bug.